Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transform
Class DistinctResultTransformer

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter
          org.hibernate.transform.DistinctResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer

    public class DistinctResultTransformer

extends BasicTransformerAdapter

Distinctions the result tuples in the final result based on the defined equality of the tuples.

Since this transformer is stateless, all instances would be considered equal. So for optimization purposes we limit it to a single, singleton `instance`.

See Also:
  Serialized Form

Field Summary
`static DistinctResultTransformer` | `INSTANCE`

Method Summary
`List` | `transformList(List list)` Uniquely distinct each tuple row here.

Methods inherited from class org.hibernate.transform.BasicTransformerAdapter
`transformTuple`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DistinctResultTransformer INSTANCE

Method Detail

### transformList

    public List transformList(List list)

  Uniquely distinct each tuple row here.

  Specified by:
    `transformList` in interface `ResultTransformer`
  Overrides:
    `transformList` in class `BasicTransformerAdapter`
  Parameters:
    `list` - The result.
  Returns:
    The transformed result.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.